Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatOnlineMemberCount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatOnlineMemberCount

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatOnlineMemberCount extends TdApi.Update
The number of online group members has changed. This update with non-zero count is sent only for currently opened chats. There is no guarantee that it will be sent just after the count has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
`int`
`onlineMemberCount`
New number of online members in the chat, or 0 if unknown.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatOnlineMemberCount()`
The number of online group members has changed.
`UpdateChatOnlineMemberCount(long chatId, int onlineMemberCount)`
The number of online group members has changed.
`UpdateChatOnlineMemberCount(DataInput input)`
The number of online group members has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### onlineMemberCount

public int onlineMemberCount
New number of online members in the chat, or 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatOnlineMemberCount

public UpdateChatOnlineMemberCount()
The number of online group members has changed. This update with non-zero count is sent only for currently opened chats. There is no guarantee that it will be sent just after the count has changed.

### UpdateChatOnlineMemberCount

public UpdateChatOnlineMemberCount(long chatId, int onlineMemberCount)
The number of online group members has changed. This update with non-zero count is sent only for currently opened chats. There is no guarantee that it will be sent just after the count has changed.

Parameters:
  `chatId` - long Identifier of the chat.
  `onlineMemberCount` - int New number of online members in the chat, or 0 if unknown.

### UpdateChatOnlineMemberCount

public UpdateChatOnlineMemberCount(DataInput input) throws IOException
The number of online group members has changed. This update with non-zero count is sent only for currently opened chats. There is no guarantee that it will be sent just after the count has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`